Get Video Generation
Retrieve the status and result of a BytePlus video generation task.
Returns from DB when the task is in a terminal state. Otherwise polls BytePlus live and syncs the DB row.
Poll until status is one of:
succeeded — content.video_url is populated,
failed — check error field,
expired — task timed out.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
task_id
Response
Task status and result when succeeded
id
status
model
error
created_at
updated_at
content
seed
resolution
ratio
duration
frames
framespersecond
generate_audio
safety_identifier
priority
draft
draft_task_id
service_tier
execution_expires_after
usage
Errors
401
Unauthorized Error
422
Unprocessable Entity Error
502
Bad Gateway Error